<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
            <title>phpDocumentor</title>
    
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <base href="../">
    <link rel="icon" href="images/favicon.ico"/>
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="css/base.css">
            <link rel="preconnect" href="https://fonts.gstatic.com">
        <link href="https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@400;600;700&display=swap" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css2?family=Source+Code+Pro:wght@400;600;700&display=swap" rel="stylesheet">
        <link rel="stylesheet" href="css/template.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.0/css/all.min.css" integrity="sha256-ybRkN9dBjhcS2qrW1z+hfCxq+1aBdwyQM5wlQoQVt/0=" crossorigin="anonymous" />
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/themes/prism-okaidia.css">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-numbers/prism-line-numbers.css">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-highlight/prism-line-highlight.css">
                <script src="https://cdn.jsdelivr.net/npm/fuse.js@3.4.6"></script>
        <script src="https://cdn.jsdelivr.net/npm/css-vars-ponyfill@2"></script>
        <script src="js/search.js"></script>
        <script defer src="js/searchIndex.js"></script>
    </head>
<body id="top">
    <header class="phpdocumentor-header phpdocumentor-section">
    <h1 class="phpdocumentor-title"><a href="" class="phpdocumentor-title__link">phpDocumentor</a></h1>
    <input class="phpdocumentor-header__menu-button" type="checkbox" id="menu-button" name="menu-button" />
    <label class="phpdocumentor-header__menu-icon" for="menu-button">
        <i class="fas fa-bars"></i>
    </label>
    <section data-search-form class="phpdocumentor-search">
    <label>
        <span class="visually-hidden">Search for</span>
        <svg class="phpdocumentor-search__icon" width="21" height="20" viewBox="0 0 21 20" fill="none" xmlns="http://www.w3.org/2000/svg">
            <circle cx="7.5" cy="7.5" r="6.5" stroke="currentColor" stroke-width="2"/>
            <line x1="12.4892" y1="12.2727" x2="19.1559" y2="18.9393" stroke="currentColor" stroke-width="3"/>
        </svg>
        <input type="search" class="phpdocumentor-field phpdocumentor-search__field" placeholder="Loading .." disabled />
    </label>
</section>

    <nav class="phpdocumentor-topnav">
    <ul class="phpdocumentor-topnav__menu">
        </ul>
</nav>
</header>

    <main class="phpdocumentor">
        <div class="phpdocumentor-section">
            <input class="phpdocumentor-sidebar__menu-button" type="checkbox" id="sidebar-button" name="sidebar-button" />
<label class="phpdocumentor-sidebar__menu-icon" for="sidebar-button">
    Menu
</label>
<aside class="phpdocumentor-column -four phpdocumentor-sidebar">
                    <section class="phpdocumentor-sidebar__category">
            <h2 class="phpdocumentor-sidebar__category-header">Namespaces</h2>
                                    <h4 class="phpdocumentor-sidebar__root-namespace">
    <a href="namespaces/inc.html" class="">Inc</a>
</h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="namespaces/inc-api.html" class="">Api</a>
                
            </li>
                    <li>
                <a href="namespaces/inc-base.html" class="">Base</a>
                
            </li>
                    <li>
                <a href="namespaces/inc-defaultdata.html" class="">DefaultData</a>
                
            </li>
                    <li>
                <a href="namespaces/inc-pages.html" class="">Pages</a>
                
            </li>
            </ul>

                        </section>
                <section class="phpdocumentor-sidebar__category">
            <h2 class="phpdocumentor-sidebar__category-header">Packages</h2>
                                    <h4 class="phpdocumentor-sidebar__root-namespace">
    <a href="packages/OERSI.html" class="">OERSI</a>
</h4>

                                    <h4 class="phpdocumentor-sidebar__root-namespace">
    <a href="packages/Application.html" class="">Application</a>
</h4>

                                    <h4 class="phpdocumentor-sidebar__root-namespace">
    <a href="packages/OERSi.html" class="">OERSi</a>
</h4>

                        </section>
            
    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Reports</h2>
                <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/deprecated.html">Deprecated</a></h3>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/errors.html">Errors</a></h3>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/markers.html">Markers</a></h3>
    </section>

    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Indices</h2>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="indices/files.html">Files</a></h3>
    </section>
</aside>

            <div class="phpdocumentor-column -eight phpdocumentor-content">
                    <ul class="phpdocumentor-breadcrumbs">
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/inc.html">Inc</a></li>
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/inc-defaultdata.html">DefaultData</a></li>
    </ul>

    <article class="phpdocumentor-element -class">
        <h2 class="phpdocumentor-content__title">
    ElasticsSearch

    
            <div class="phpdocumentor-element__package">
            in package
            <ul class="phpdocumentor-breadcrumbs">
                                    <li class="phpdocumentor-breadcrumb"><a href="packages/OERSI.html">OERSI</a></li>
                            </ul>
        </div>
    
    
    </h2>

        <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/DefaultData/ElasticsSearch.php"><a href="files/inc-defaultdata-elasticssearch.html"><abbr title="inc/DefaultData/ElasticsSearch.php">ElasticsSearch.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">16</span>

    </aside>

        
    <section class="phpdocumentor-description"></section>








<h3 id="toc">
    Table of Contents
    <a href="#toc" class="headerlink"><i class="fas fa-link"></i></a>
</h3>

<dl class="phpdocumentor-table-of-contents">
                    <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Inc-DefaultData-ElasticsSearch.html#property_appName">$appName</a>
    <span>
                        &nbsp;: mixed            </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Inc-DefaultData-ElasticsSearch.html#property_credential">$credential</a>
    <span>
                        &nbsp;: mixed            </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Inc-DefaultData-ElasticsSearch.html#property_fields">$fields</a>
    <span>
                        &nbsp;: mixed            </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Inc-DefaultData-ElasticsSearch.html#property_url">$url</a>
    <span>
                        &nbsp;: mixed            </span>
</dt>
<dd></dd>

            </dl>



        

        
    <section class="phpdocumentor-properties">
        <h3 class="phpdocumentor-elements__header" id="properties">
            Properties
            <a href="classes/Inc-DefaultData-ElasticsSearch.html#properties" class="headerlink"><i class="fas fa-link"></i></a>
        </h3>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
            -static                                            "
>
    <h4 class="phpdocumentor-element__name" id="property_appName">
        $appName
        <a href="classes/Inc-DefaultData-ElasticsSearch.html#property_appName" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/DefaultData/ElasticsSearch.php"><a href="files/inc-defaultdata-elasticssearch.html"><abbr title="inc/DefaultData/ElasticsSearch.php">ElasticsSearch.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">21</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
    <span class="phpdocumentor-signature__static">static</span>    <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$appName</span>
     = <span class="phpdocumentor-signature__default-value">&#039;oer_data_internal&#039;</span></code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
            -static                                            "
>
    <h4 class="phpdocumentor-element__name" id="property_credential">
        $credential
        <a href="classes/Inc-DefaultData-ElasticsSearch.html#property_credential" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/DefaultData/ElasticsSearch.php"><a href="files/inc-defaultdata-elasticssearch.html"><abbr title="inc/DefaultData/ElasticsSearch.php">ElasticsSearch.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">23</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
    <span class="phpdocumentor-signature__static">static</span>    <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$credential</span>
     = <span class="phpdocumentor-signature__default-value">&#039;&#039;</span></code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
            -static                                            "
>
    <h4 class="phpdocumentor-element__name" id="property_fields">
        $fields
        <a href="classes/Inc-DefaultData-ElasticsSearch.html#property_fields" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/DefaultData/ElasticsSearch.php"><a href="files/inc-defaultdata-elasticssearch.html"><abbr title="inc/DefaultData/ElasticsSearch.php">ElasticsSearch.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">25</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
    <span class="phpdocumentor-signature__static">static</span>    <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$fields</span>
     = <span class="phpdocumentor-signature__default-value">[&quot;resultList&quot; =&gt; [&quot;componentId&quot; =&gt; &quot;results&quot;, &quot;dataField&quot; =&gt; &quot;name&quot;, &quot;pagination&quot; =&gt; true, &quot;stream&quot; =&gt; false, &quot;showLoader&quot; =&gt; false, &quot;renderError&quot; =&gt; true, &quot;showResultStats&quot; =&gt; true, &quot;paginationAt&quot; =&gt; &quot;bottom&quot;, &quot;sortBy&quot; =&gt; null, &quot;pages&quot; =&gt; 5, &quot;size&quot; =&gt; 12, &quot;URLParams&quot; =&gt; true, &quot;defaultQuery&quot; =&gt; [&quot;track_total_hits&quot; =&gt; true], &quot;showEndPage&quot; =&gt; true, &quot;and&quot; =&gt; [&quot;author&quot;, &quot;license&quot;, &quot;search&quot;, &quot;provider&quot;, &quot;learningResourceType&quot;, &quot;language&quot;, &quot;about&quot;, &quot;sourceOrganization&quot;]], &quot;searchComponent&quot; =&gt; [&quot;showIcon&quot; =&gt; false, &quot;showButton&quot; =&gt; true, &quot;filterLabel&quot; =&gt; &quot;translation.SEARCH_LABEL&quot;, &quot;translateText&quot; =&gt; &quot;translation.SEARCH_BUTTON_TEXT&quot;, &quot;componentId&quot; =&gt; &quot;search&quot;, &quot;queryFormat&quot; =&gt; &quot;and&quot;, &quot;dataField&quot; =&gt; [&quot;name&quot;, &quot;creator.name&quot;, &quot;description&quot;, &quot;keywords&quot;], &quot;fuzziness&quot; =&gt; 0, &quot;debounce&quot; =&gt; 100, &quot;autosuggest&quot; =&gt; true, &quot;highlight&quot; =&gt; true, &quot;iconPosition&quot; =&gt; &quot;right&quot;, &quot;textLegth&quot; =&gt; 20, &quot;placeholder&quot; =&gt; &quot;translation.SEARCH_PLACEHOLDER&quot;, &quot;showFilter&quot; =&gt; true, &quot;URLParams&quot; =&gt; true, &quot;customHighlight&quot; =&gt; [&quot;pre_tags&quot; =&gt; [&quot;&lt;mark&gt;&quot;], &quot;post_tags&quot; =&gt; [&quot;&lt;/mark&gt;&quot;], &quot;number_of_fragments&quot; =&gt; 0], &quot;and&quot; =&gt; [&quot;author&quot;, &quot;license&quot;, &quot;provider&quot;, &quot;results&quot;, &quot;learningResourceType&quot;, &quot;language&quot;, &quot;about&quot;, &quot;sourceOrganization&quot;]], &quot;multiList&quot; =&gt; [[&quot;componentId&quot; =&gt; &quot;about&quot;, &quot;dataField&quot; =&gt; &quot;about.id&quot;, &quot;showTitle&quot; =&gt; true, &quot;title&quot; =&gt; &quot;translation.ABOUT&quot;, &quot;placeholder&quot; =&gt; &quot;translation.ABOUT&quot;, &quot;filterLabel&quot; =&gt; &quot;translation.ABOUT&quot;, &quot;showMissing&quot; =&gt; true, &quot;missingLabel&quot; =&gt; &quot;N/A&quot;, &quot;showFilter&quot; =&gt; true, &quot;showSearch&quot; =&gt; true, &quot;size&quot; =&gt; 1000, &quot;className&quot; =&gt; &quot;about-card&quot;, &quot;fontAwesome&quot; =&gt; &quot;&quot;, &quot;URLParams&quot; =&gt; true, &quot;reloadAggregationsOnSearch&quot; =&gt; false, &quot;aggregationSearchDebounce&quot; =&gt; 1500, &quot;hierarchical_filter&quot; =&gt; [&quot;schemaPath&quot; =&gt; &quot;/locales/vocabularies_parents&quot;], &quot;aggregationSearchMinLength&quot; =&gt; 3, &quot;and&quot; =&gt; [&quot;author&quot;, &quot;license&quot;, &quot;search&quot;, &quot;provider&quot;, &quot;results&quot;, &quot;language&quot;, &quot;learningResourceType&quot;, &quot;sourceOrganization&quot;]], [&quot;componentId&quot; =&gt; &quot;license&quot;, &quot;dataField&quot; =&gt; &quot;license.id&quot;, &quot;title&quot; =&gt; &quot;translation.LICENSE&quot;, &quot;placeholder&quot; =&gt; &quot;translation.LICENSE&quot;, &quot;filterLabel&quot; =&gt; &quot;translation.LICENSE&quot;, &quot;showMissing&quot; =&gt; true, &quot;missingLabel&quot; =&gt; &quot;N/A&quot;, &quot;showFilter&quot; =&gt; true, &quot;showSearch&quot; =&gt; false, &quot;defaultQuery&quot; =&gt; &quot;getPrefixAggregationQueryLicense&quot;, &quot;customQuery&quot; =&gt; &quot;customQueryLicense&quot;, &quot;className&quot; =&gt; &quot;license-card&quot;, &quot;fontAwesome&quot; =&gt; &quot;&quot;, &quot;URLParams&quot; =&gt; true, &quot;and&quot; =&gt; [&quot;author&quot;, &quot;search&quot;, &quot;provider&quot;, &quot;results&quot;, &quot;learningResourceType&quot;, &quot;language&quot;, &quot;about&quot;, &quot;sourceOrganization&quot;]], [&quot;componentId&quot; =&gt; &quot;learningResourceType&quot;, &quot;dataField&quot; =&gt; &quot;learningResourceType.id&quot;, &quot;title&quot; =&gt; &quot;translation.RESOURCE_TYPE&quot;, &quot;placeholder&quot; =&gt; &quot;translation.RESOURCE_TYPE&quot;, &quot;filterLabel&quot; =&gt; &quot;translation.RESOURCE_TYPE&quot;, &quot;showMissing&quot; =&gt; true, &quot;missingLabel&quot; =&gt; &quot;N/A&quot;, &quot;showFilter&quot; =&gt; true, &quot;showSearch&quot; =&gt; true, &quot;className&quot; =&gt; &quot;lrt-card&quot;, &quot;fontAwesome&quot; =&gt; &quot;&quot;, &quot;URLParams&quot; =&gt; true, &quot;reloadAggregationsOnSearch&quot; =&gt; false, &quot;aggregationSearchDebounce&quot; =&gt; 1500, &quot;aggregationSearchMinLength&quot; =&gt; 3, &quot;and&quot; =&gt; [&quot;author&quot;, &quot;license&quot;, &quot;search&quot;, &quot;provider&quot;, &quot;results&quot;, &quot;language&quot;, &quot;sourceOrganization&quot;, &quot;about&quot;]], [&quot;componentId&quot; =&gt; &quot;author&quot;, &quot;dataField&quot; =&gt; &quot;persons.name.keyword&quot;, &quot;nestedField&quot; =&gt; &quot;&quot;, &quot;title&quot; =&gt; &quot;translation.AUTHOR&quot;, &quot;placeholder&quot; =&gt; &quot;translation.AUTHOR&quot;, &quot;filterLabel&quot; =&gt; &quot;translation.AUTHOR&quot;, &quot;showMissing&quot; =&gt; true, &quot;missingLabel&quot; =&gt; &quot;N/A&quot;, &quot;showSearch&quot; =&gt; true, &quot;showFilter&quot; =&gt; true, &quot;size&quot; =&gt; 10000, &quot;className&quot; =&gt; &quot;author-card&quot;, &quot;fontAwesome&quot; =&gt; &quot;&quot;, &quot;URLParams&quot; =&gt; true, &quot;reloadAggregationsOnSearch&quot; =&gt; false, &quot;aggregationSearchDebounce&quot; =&gt; 1500, &quot;aggregationSearchMinLength&quot; =&gt; 3, &quot;and&quot; =&gt; [&quot;license&quot;, &quot;search&quot;, &quot;provider&quot;, &quot;results&quot;, &quot;learningResourceType&quot;, &quot;language&quot;, &quot;about&quot;, &quot;sourceOrganization&quot;]], [&quot;componentId&quot; =&gt; &quot;sourceOrganization&quot;, &quot;dataField&quot; =&gt; &quot;institutions.name&quot;, &quot;title&quot; =&gt; &quot;translation.ORGANISATION&quot;, &quot;placeholder&quot; =&gt; &quot;translation.ORGANISATION&quot;, &quot;filterLabel&quot; =&gt; &quot;translation.ORGANISATION&quot;, &quot;showMissing&quot; =&gt; true, &quot;missingLabel&quot; =&gt; &quot;N/A&quot;, &quot;showFilter&quot; =&gt; true, &quot;showSearch&quot; =&gt; true, &quot;size&quot; =&gt; 100, &quot;className&quot; =&gt; &quot;source-type-card&quot;, &quot;fontAwesome&quot; =&gt; &quot;&quot;, &quot;URLParams&quot; =&gt; true, &quot;reloadAggregationsOnSearch&quot; =&gt; false, &quot;aggregationSearchDebounce&quot; =&gt; 1500, &quot;aggregationSearchMinLength&quot; =&gt; 3, &quot;and&quot; =&gt; [&quot;author&quot;, &quot;license&quot;, &quot;search&quot;, &quot;provider&quot;, &quot;results&quot;, &quot;language&quot;, &quot;learningResourceType&quot;, &quot;about&quot;]], [&quot;componentId&quot; =&gt; &quot;language&quot;, &quot;dataField&quot; =&gt; &quot;inLanguage&quot;, &quot;title&quot; =&gt; &quot;translation.LANGUAGE&quot;, &quot;placeholder&quot; =&gt; &quot;translation.LANGUAGE&quot;, &quot;filterLabel&quot; =&gt; &quot;translation.LANGUAGE&quot;, &quot;showMissing&quot; =&gt; true, &quot;missingLabel&quot; =&gt; &quot;N/A&quot;, &quot;showFilter&quot; =&gt; true, &quot;showSearch&quot; =&gt; false, &quot;className&quot; =&gt; &quot;language-card&quot;, &quot;fontAwesome&quot; =&gt; &quot;&quot;, &quot;URLParams&quot; =&gt; true, &quot;and&quot; =&gt; [&quot;author&quot;, &quot;license&quot;, &quot;search&quot;, &quot;provider&quot;, &quot;results&quot;, &quot;learningResourceType&quot;, &quot;about&quot;, &quot;sourceOrganization&quot;]], [&quot;componentId&quot; =&gt; &quot;provider&quot;, &quot;dataField&quot; =&gt; &quot;mainEntityOfPage.provider.name&quot;, &quot;title&quot; =&gt; &quot;translation.PROVIDER&quot;, &quot;placeholder&quot; =&gt; &quot;translation.PROVIDER&quot;, &quot;filterLabel&quot; =&gt; &quot;translation.PROVIDER&quot;, &quot;showMissing&quot; =&gt; true, &quot;missingLabel&quot; =&gt; &quot;N/A&quot;, &quot;showFilter&quot; =&gt; true, &quot;showSearch&quot; =&gt; false, &quot;className&quot; =&gt; &quot;provider-card&quot;, &quot;fontAwesome&quot; =&gt; &quot;&quot;, &quot;URLParams&quot; =&gt; true, &quot;and&quot; =&gt; [&quot;author&quot;, &quot;license&quot;, &quot;search&quot;, &quot;results&quot;, &quot;learningResourceType&quot;, &quot;language&quot;, &quot;about&quot;, &quot;sourceOrganization&quot;]]]]</span></code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
            -static                                            "
>
    <h4 class="phpdocumentor-element__name" id="property_url">
        $url
        <a href="classes/Inc-DefaultData-ElasticsSearch.html#property_url" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/DefaultData/ElasticsSearch.php"><a href="files/inc-defaultdata-elasticssearch.html"><abbr title="inc/DefaultData/ElasticsSearch.php">ElasticsSearch.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">19</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
    <span class="phpdocumentor-signature__static">static</span>    <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$url</span>
     = <span class="phpdocumentor-signature__default-value">&#039;https://oersi.org/resources/api/search/&#039;</span></code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
            </section>

        
        
    <script type="text/javascript">
        function loadExternalCodeSnippets(line) {
            Array.prototype.slice.call(document.querySelectorAll('pre[data-src]')).forEach((pre) => {
                var src = pre.getAttribute('data-src').replace( /\\/g, '/');
                var extension = (src.match(/\.(\w+)$/) || [, ''])[1];
                var language = 'php';

                var code = document.createElement('code');
                code.className = 'language-' + language;

                pre.textContent = '';

                pre.setAttribute('data-line', line)
                code.textContent = 'Loading…';

                pre.appendChild(code);

                var xhr = new XMLHttpRequest();

                xhr.open('GET', src, true);

                xhr.onreadystatechange = function () {
                    if (xhr.readyState == 4) {

                        if (xhr.status < 400 && xhr.responseText) {
                            code.textContent = xhr.responseText;

                            Prism.highlightElement(code);
                        }
                        else if (xhr.status >= 400) {
                            code.textContent = '✖ Error ' + xhr.status + ' while fetching file: ' + xhr.statusText;
                        }
                        else {
                            code.textContent = '✖ Error: File does not exist, is empty or trying to view from localhost';
                        }
                    }
                };

                xhr.send(null);
            });
        }

        var modals = document.querySelectorAll("[data-modal]");

        modals.forEach(function (trigger) {
            trigger.addEventListener("click", function (event) {
                //event.preventDefault();
                const modal = document.getElementById(trigger.dataset.modal);
                modal.classList.add("phpdocumentor-modal__open");
                loadExternalCodeSnippets(trigger.dataset.line)
                const exits = modal.querySelectorAll("[data-exit-button]");
                exits.forEach(function (exit) {
                    exit.addEventListener("click", function (event) {
                        event.preventDefault();
                        modal.classList.remove("phpdocumentor-modal__open");
                    });
                });
            });
        });
    </script>

    </article>
                <section data-search-results class="phpdocumentor-search-results phpdocumentor-search-results--hidden">
    <section class="phpdocumentor-search-results__dialog">
        <header class="phpdocumentor-search-results__header">
            <h2 class="phpdocumentor-search-results__title">Search results</h2>
            <button class="phpdocumentor-search-results__close"><i class="fas fa-times"></i></button>
        </header>
        <section class="phpdocumentor-search-results__body">
            <ul class="phpdocumentor-search-results__entries"></ul>
        </section>
    </section>
</section>
            </div>
        </div>
        <a href="classes/Inc-DefaultData-ElasticsSearch.html#top" class="phpdocumentor-back-to-top"><i class="fas fa-chevron-circle-up"></i></a>

    </main>

    <script>
        cssVars({});
    </script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/prism.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/autoloader/prism-autoloader.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-numbers/prism-line-numbers.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-highlight/prism-line-highlight.min.js"></script>
</body>
</html>
